## org.biojava.bio.program.homologene
Interface OrthoPairSet

All Known Implementing Classes:
  AbstractOrthoPairSet, SimpleOrthoPairSet

    public interface OrthoPairSet

represents the Homologene Group.

Nested Class Summary
`static interface` `OrthoPairSet.Iterator`

Field Summary
`static ChangeType` `MODIFY`

Method Summary
`void` `addOrthoPair(OrthoPair orthology)` adds a specified OrthoPair relationship to this group.
`OrthoPairSet` `filter(OrthoPairFilter filter)` filter an OrthoPairSet
`double` `getMinIdentity()` get the lowest level of identity observed in this Group
`String` `getName()` retrieves name of this group.
`Set` `getTaxa()` get the taxa represented in this group
`OrthoPairSet.Iterator` `iterator()` returns an iterator to the members of this set
`void` `removeOrthoPair(OrthoPair orthology)` removes a specified OrthoPair relationship from this group.
`void` `setName(String name)` set the name of this group.
`int` `size()` returns an iterator to the contents of the set.

Field Detail

### MODIFY

    static final ChangeType MODIFY

Method Detail

### getName

    String getName()

  retrieves name of this group. Homologene itself does not assign names or identifiers to groups.

### setName

    void setName(String name)

  set the name of this group.

### addOrthoPair

    void addOrthoPair(OrthoPair orthology)
                      throws ChangeVetoException

  adds a specified OrthoPair relationship to this group.

  Throws:
    `ChangeVetoException`

### removeOrthoPair

    void removeOrthoPair(OrthoPair orthology)
                         throws ChangeVetoException

  removes a specified OrthoPair relationship from this group.

  Throws:
    `ChangeVetoException`

### size

    int size()

  returns an iterator to the contents of the set. /** no. of entries in this Homologene group

### iterator

    OrthoPairSet.Iterator iterator()

  returns an iterator to the members of this set

### getTaxa

    Set getTaxa()

  get the taxa represented in this group

### getMinIdentity

    double getMinIdentity()

  get the lowest level of identity observed in this Group

### filter

    OrthoPairSet filter(OrthoPairFilter filter)

  filter an OrthoPairSet